#include "systems.h"

#include "game_state.h"

void uiTask(ecs_iter_t *it) {
    const Game *game = ecs_singleton_get(ECS, Game);
    Vector2 mousePos = GetMousePosition();
    Vector2 worldPos = GetScreenToWorld2D(mousePos, game->camera);

    const BzTileMap *map = &game->map;

    i32 tileX = (i32) worldPos.x / map->tileWidth;
    i32 tileY = (i32) worldPos.y / map->tileHeight;

}
